glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glib::Threads::RWLock::WriterLock Class Reference
Threads

Utility class for exception-safe locking of read/write locks. More...

`#include <glibmm/threads.h>`

## Public Member Functions

| WriterLock (RWLock& rwlock)
| WriterLock (RWLock& rwlock, NotLock)
| WriterLock (RWLock& rwlock, TryLock)
| ~WriterLock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of read/write locks.

## Constructor & Destructor Documentation

Glib::Threads::RWLock::WriterLock::WriterLock | ( | RWLock& | rwlock | ) |

inline explicit

Glib::Threads::RWLock::WriterLock::WriterLock | ( | RWLock& | rwlock,
|  | NotLock |
| ) |  |

inline

Glib::Threads::RWLock::WriterLock::WriterLock | ( | RWLock& | rwlock,
|  | TryLock |
| ) |  |

inline

Glib::Threads::RWLock::WriterLock::~WriterLock | ( |  | ) |

inline

## Member Function Documentation

void Glib::Threads::RWLock::WriterLock::acquire | ( |  | ) |

inline

bool Glib::Threads::RWLock::WriterLock::locked | ( |  | ) | const

inline

void Glib::Threads::RWLock::WriterLock::release | ( |  | ) |

inline

bool Glib::Threads::RWLock::WriterLock::try_acquire | ( |  | ) |

inline